summary: The VideoLAN client, also a very good standalone video player.
Name: vlc
Version: 0.5.3
Release: 1m
Group: Applications/Multimedia
License: GPL
URL: http://www.videolan.org/
Source0: http://www.videolan.org/pub/videolan/vlc/%{version}/vlc-%{version}.tar.bz2
NoSource: 0
Patch0: ja.po.momonga.patch
Buildroot: %{_tmppath}/%{name}-root

Buildrequires: XFree86-devel, desktop-file-utils
%{!?_without_dvd:Buildrequires: libdvdcss-devel}
%{!?_without_dvdread:Buildrequires: libdvdread-devel}
%{!?_without_dvdplay:Buildrequires: libdvdplay-devel}
%{!?_without_dvbpsi:Buildrequires: libdvbpsi-devel}
%{!?_without_ogg:Buildrequires: libogg-devel}
%{!?_without_mad:Buildrequires: mad-devel}
%{!?_without_ffmpeg:Buildrequires: ffmpeg}
%{!?_without_xvid:Buildrequires: xvid}
%{!?_without_a52:Buildrequires: a52dec-devel}
%{?_with_dv:Buildrequires: libdv-devel}
%{!?_without_flac:Buildrequires: flac-devel}
%{!?_without_vorbis:Buildrequires: libvorbis-devel}
%{!?_without_sdl:Buildrequires: SDL-devel}
%{!?_without_aa:Buildrequires: aalib}
%{!?_without_esd:Buildrequires: esound-devel}
%{!?_without_arts:Buildrequires: arts-devel}
%{!?_without_alsa:Buildrequires: alsa-lib}
%{!?_without_gtk:Buildrequires: gtk+-devel}
%{!?_without_gnome:Buildrequires: gnome-libs-devel}
#%{!?_without_lirc:Buildrequires: lirc}
%{?_with_qt:Buildrequires: qt-devel}
%{?_with_kde:Buildrequires: kdelibs-devel}
%{?_with_ncurses:Buildrequires: ncurses-devel >= 5}
%{!?_without_xosd:Buildrequires: xosd-devel}
#%{!?_without_lirc:Requires: lirc}
%{?_with_mozilla:Requires: mozilla-devel}

Requires: XFree86, desktop-file-utils
%{!?_without_dvd:Requires: libdvdcss}
%{!?_without_dvdread:Requires: libdvdread}
%{!?_without_dvdplay:Requires: libdvdplay}
#%%{!?_without_dvbpsi:Requires: libdvbpsi}
#%%{!?_without_ogg:Requires: libogg}
%{!?_without_mad:Requires: mad-devel}
%{!?_without_ffmpeg:Requires: ffmpeg}
#%%{!?_without_xvid:Requires: xvid}
%{!?_without_a52:Requires: a52dec}
#%%{?_with_dv:Requires: libdv}
#%%{!?_without_flac:Requires: flac}
#%%{!?_without_vorbis:Requires: libvorbis}
#%%{!?_without_sdl:Requires: SDL}
#%%{!?_without_aa:Requires: aalib}
#%%{!?_without_esd:Requires: esound}
#%%{!?_without_arts:Requires: arts}
#%%{!?_without_alsa:Requires: alsa-lib}
#%%{!?_without_gtk:Requires: gtk+}
#%%{!?_without_gnome:Requires: gnome-libs}
#%%{?_with_qt:Requires: qt}
#%%{?_with_kde:Requires: kdelibs}
#%%{?_with_ncurses:Requires: ncurses}
#%%{!?_without_xosd:Requires: xosd}
#%%{!?_without_lirc:Requires: lirc}
#%%{?_with_mozilla:Requires: mozilla}

%description
VideoLAN Client (VLC) is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as
well as DVDs, VCDs, and various streaming protocols.

Available rpmbuild rebuild options :
--with dv mga qt kde ncurses
--without dvd dvdread dvdplay dvbpsi v4l avi asf aac ogg rawdv mad ffmpeg xvid
          mp4 a52 vorbis flac aa esd arts alsa gtk gnome xosd lsp lirc pth

Options that would need not yet existing add-on packages :
--with faad tremor tarkin theora svgalib ggi glide wxwindows


%package devel
Summary: Header files and static library from the Videolan Client.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
VideoLAN Client (VLC) is a highly portable multimedia player for various
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as
well as DVDs, VCDs, and various streaming protocols.

Install this package if you need to build Videolan Client plugins or intend
to link statically to it.



%prep
%setup -q
%patch0 -p0

%build
%configure \
	--enable-release \
	%{?_without_dvd:--disable-dvd} \
	%{!?_without_dvdread:--enable-dvdread} \
	%{!?_without_dvdplay:--enable-dvdplay} \
	%{?_without_dvbpsi:--disable-dvbpsi} \
	%{!?_without_v4l:--enable-v4l} \
	--enable-vcd \
	%{?_without_avi:--disable-avi} \
	%{?_without_asf:--disable-asf} \
	%{?_without_aac:--disable-aac} \
	%{?_without_ogg:--disable-ogg} \
	%{?_without_rawdv:--disable-rawdv} \
	%{!?_without_mad:--enable-mad} \
	%{!?_without_ffmpeg:--enable-ffmpeg --with-ffmpeg=%{_prefix}} \
	%{?_with_faad:--enable-faad} \
	%{!?_without_xvid:--enable-xvid} \
	%{?_without_mp4:--disable-mp4} \
	%{?_without_a52:--disable-a52} \
	%{?_without_cinepak:--disable-cinepak} \
	%{?_with_dv:--enable-dv} \
	%{!?_without_flac:--enable-flac} \
	%{?_without_vorbis:--disable-vorbis} \
	%{?_with_tremor:--enable-tremor} \
	%{?_with_tarkin:--enable-tarkin} \
	%{?_with_theora:--enable-theora} \
	--enable-x11 \
	--enable-xvideo \
	%{?_without_sdl:--disable-sdl} \
	--disable-qte \
	--disable-directx \
	--enable-fb \
	%{?_with_mga:--enable-mga} \
	%{?_with_svgalib:--enable-svgalib} \
	%{?_with_ggi:--enable-ggi} \
	%{?_with_glide:--enable-glide} \
	%{!?_without_aa:--enable-aa} \
	--without-wingdi \
	--enable-oss \
	%{!?_without_esd:--enable-esd} \
	%{!?_without_arts:--enable-arts} \
	%{!?_without_alsa:--enable-alsa} \
	--disable-waveout \
	%{!?_without_gtk:--enable-gtk} \
	--disable-familiar \
	%{!?_without_gnome:--enable-gnome} \
	%{!?_with_wxwindows:--disable-wxwindows} \
	%{?_with_qt:--enable-qt} \
	%{?_with_kde:--enable-kde} \
	--disable-opie \
	--disable-macosx \
	--disable-qnx \
	--disable-intfwin \
	%{?_with_ncurses:--enable-ncurses} \
	%{!?_without_xosd:--enable-xosd} \
	%{?_without_slp:--disable-slp} \
	%{!?_without_pth:--enable-pth} \
	--disable-st \
	%{?_without_mozilla:--enable-mozilla} \
	--disable-testsuite \
	--program-transform-name \
	--enable-plugins
make %{?_smp_mflags}
#	%{!?_without_lirc:--enable-lirc}

%install
rm -rf %{buildroot}
%makeinstall
find  %{buildroot}%{_libdir}/vlc -name "*.so" | xargs strip
%find_lang vlc

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
cat > %{buildroot}/etc/X11/applnk/Multimedia/%{name}.desktop << EOF
[Desktop Entry]
Name=VideoLAN Client
Type=Application
Comment=%{summary}
Icon=%{_datadir}/vlc/vlc48x48.png
Exec=vlc
Terminal=0
EOF

#desktop-file-install --vendor %{desktop_vendor} --delete-original	\
#  --dir /etc/X11/applink/Multimedia		\
#  --add-category Application			\
#  --add-category AudioVideo			\
#  %{name}.desktop

%post
ln /dev/cdrom /dev/dvd -sf

%postun
rm -f /dev/dvd

%clean
rm -rf %{buildroot}

%files -f vlc.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS README THANKS
%doc doc/fortunes.txt doc/web-streaming.html
%{_bindir}/*vlc
%{_libdir}/vlc
%{_datadir}/vlc
%config /etc/X11/applnk/Multimedia/%{name}.desktop

%files devel
%defattr(-, root, root)
%doc HACKING 
%{_bindir}/vlc-config
%{_includedir}/vlc
%{_libdir}/libvlc.a

%changelog
* Mon Apr 14 2003 Shibata Akira <cipher@da2.so-net.ne.jp>
- (0.5.3-1m)
- First release
